from bundlewrap.metadata import atomic

defaults = {
    'apt': {
        'packages': {
            'oidentd': {},
        },
    },
}


@metadata_reactor.provides(
    'firewall/port_rules',
)
def firewall(metadata):
    return {
        'firewall': {
            'port_rules': {
                '113/tcp': atomic(metadata.get('oidentd/restrict-to', {'*'})),
            },
        },
    }
